Package: org.apache.groovy.json.internal

## [Java] Interface Value

-     public interface Value

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public BigDecimal` | `bigDecimalValue()`
    `` | `public BigInteger` | `bigIntegerValue()`
    `` | `public boolean` | `booleanValue()`
    `` | `public byte` | `byteValue()`
    `` | `public char` | `charValue()`
    `` | `public void` | `chop()`
    `` | `public Date` | `dateValue()`
    `` | `public double` | `doubleValue()`
    `` | `public float` | `floatValue()`
    `` | `public int` | `intValue()`
    `` | `public boolean` | `isContainer()`
    `` | `public long` | `longValue()`
    `` | `public short` | `shortValue()`
    `` | `public String` | `stringValue()`
    `` | `public String` | `stringValueEncoded()`
    `<T extends Enum>` | `public T` | `toEnum(Class<T> cls)`
    `` | `public Object` | `toValue()`

- - ### Method Detail

    - #### public BigDecimal bigDecimalValue()

    - #### public BigInteger bigIntegerValue()

    - #### public boolean booleanValue()

    - #### public byte byteValue()

    - #### public char charValue()

    - #### public void chop()

    - #### public Date dateValue()

    - #### public double doubleValue()

    - #### public float floatValue()

    - #### public int intValue()

    - #### public boolean isContainer()

    - #### public long longValue()

    - #### public short shortValue()

    - #### public String stringValue()

    - #### public String stringValueEncoded()

    - #### <T extends Enum> public T toEnum(Class<T> cls)

    - #### public Object toValue()